INSTALL file for vlc, the VideoLAN Client


Configuring VideoLAN
====================

A typical way to configure vlc is:

   ./configure --prefix=/usr --enable-gnome

See `./configure --help' for more information.

Here is a shortcut to copy-paste for a complete build:

   make distclean ; ./configure --prefix=/usr --enable-gnome \
      --enable-fb --with-glide --with-ggi --enable-esd --enable-qt

If you intend to debug stuff, you may want to compile with debugging
symbols:

   make distclean ; ./configure --prefix=/usr --enable-gnome \
      --enable-fb --with-glide --with-ggi --enable-esd --enable-qt \
	  --enable-debug

It is also possible to cross-compile for the Win32 platform using mingw32:

   make distclean ; CC=i586-mingw32msvc-gcc CFLAGS=-I/usr/i586-mingw32msvc \
   RANLIB=i586-mingw32msvc-ranlib WINDRES=i586-mingw32msvc-windres \
   ./configure --host=i386-mingw32msvc --with-directx-path=<path> \
   --with-sdl-config-path=<path> --with-gtk-config-path=<path>


Building VideoLAN
=================

Have a look at the generated Makefile.opts file, you may want to choose
which modules will be compiled as plugins, and which ones will remain in
the core application. The configure script tries to guess for you.

Once configured, run `make' to build vlc.


Installing and running VideoLAN
===============================

You can install the vlc and its plugins by typing:

   make install

But you don't need to install it if you don't want to; vlc can be launched
from the current directory as well:

   ./vlc


Building packages
=================

To build a Debian package, you may use:

   dpkg-buildpackage -rfakeroot -us -uc


To build RedHat packages, use:

   rpm -ba vlc.spec

To build an ipkg package (iPAQ familiar Linux), use:

   ipkg-buildpackage

